## org.eclipse.xsd
Interface XSDXPathDefinition

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent

All Known Implementing Classes:
  XSDXPathDefinitionImpl

    public interface XSDXPathDefinition

extends XSDComponent

A representation of the model object 'XPath Definition'. It represents a field or selector of an Identity-constraint Definition. It defines a restricted XPath. It is used to represent the types of object returned by the '`Fields`' reference list and the '`Selector`' reference.

The following features are supported:

- `Variety`
- `Value`
- `Annotation`

See Also:
  `XSDPackage.getXSDXPathDefinition()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute
`XSDXPathVariety` `getVariety()` Returns the value of the 'Variety' attribute.
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute
`void` `setVariety(XSDXPathVariety value)` Sets the value of the '`Variety`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVariety

    XSDXPathVariety getVariety()

  Returns the value of the 'Variety' attribute. The literals are from the enumeration `XSDXPathVariety`.

  This attribute represents whether this is a field or a selector.

  Returns:
    the value of the 'Variety' attribute.
  See Also:
    `XSDXPathVariety`, `setVariety(XSDXPathVariety)`, `XSDPackage.getXSDXPathDefinition_Variety()`

### setVariety

    void setVariety(XSDXPathVariety value)

  Sets the value of the '`Variety`' attribute.

  Parameters:
    `value` - the new value of the 'Variety' attribute.
  See Also:
    `XSDXPathVariety`, `getVariety()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  This concrete attribute represents the value of the selector xpath or field xpath attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `XSDPackage.getXSDXPathDefinition_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This concrete reference represents the annotation contents defined within the body of a field or selector element.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDXPathDefinition_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.